/*
Make Open Line v1.0

MAKE OPEN LINE creates a chain of lines
(2-point polygons) based on user selection.

Use at own risk!

Dan Dulberger
evenflcw@yahoo.com
*/

@version 2.5
@warnings
@script modeler



main
{
    //undogroup in earlier versions (8.5) can make LW unstable.
    //not sure from what version it works alright.
    //7.5 will report no undogroupbegin() then continue successfully.
    UNDOGROUP_AVAILABLE = hostVersion() >= 9.0;
    
    selmode(DIRECT);

    pointCount = pointcount();
    if(pointCount < 2)
        error("Need to directly select two points or more.");
    
    if(UNDOGROUP_AVAILABLE) undogroupbegin();
    {
        editbegin();
        {
            for(i=1; i<pointCount; i++)
            {
                polyPoints[1] = points[i];
                polyPoints[2] = points[i+1];
                lines += addpolygon(polyPoints);
            }
        }
        editend();
        selpolygon(SET, POLYID, lines); //generates an undo in 9.x! But not previous version.
        selpoint(CLEAR);
    }   
    if(UNDOGROUP_AVAILABLE) undogroupend();
}
















